LegalStack

Dropbox

Импорт и синхронизация с Dropbox.

OAuth-callback от Dropbox

GET
/api/v1/integrations/dropbox/callback

Параметры запроса

code?string
state?string

Тело ответа

curl -X GET "https://loading/api/v1/integrations/dropbox/callback"
Пусто

Создать папку в Dropbox

POST
/api/v1/integrations/dropbox/create-folder
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

path*string

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/create-folder" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Удалить файл из Dropbox

POST
/api/v1/integrations/dropbox/delete
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

path*string

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/delete" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Отключить Dropbox

POST
/api/v1/integrations/dropbox/disconnect
АвторизацияBearer <токен>

В: header

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/dropbox/disconnect"
{
  "success": true
}

Скачать файл из Dropbox

POST
/api/v1/integrations/dropbox/download
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

path*string

Тело ответа

application/octet-stream

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/download" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
"string"
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Список файлов в Dropbox

GET
/api/v1/integrations/dropbox/files
АвторизацияBearer <токен>

В: header

Параметры запроса

path?string

Тело ответа

application/json

curl -X GET "https://loading/api/v1/integrations/dropbox/files"
{
  "property1": null,
  "property2": null
}

Импортировать файл Dropbox как SmartDoc документ

POST
/api/v1/integrations/dropbox/import/document
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/import/document" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Импортировать файл Dropbox в реестр

POST
/api/v1/integrations/dropbox/import/file
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/import/file" \  -H "Content-Type: application/json" \  -d '{    "fieldMapping": {      "property1": "string",      "property2": "string"    },    "path": "string",    "registryTypeId": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Создать реестр из файла Dropbox

POST
/api/v1/integrations/dropbox/import/file/create-registry
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/import/file/create-registry" \  -H "Content-Type: application/json" \  -d '{    "columnMapping": {      "property1": "string",      "property2": "string"    },    "fields": [      {        "dataType": "string",        "key": "string",        "name": "string"      }    ],    "path": "string",    "registryName": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Предпросмотр импорта файла Dropbox в реестр

POST
/api/v1/integrations/dropbox/import/file/preview
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/import/file/preview" \  -H "Content-Type: application/json" \  -d '{    "path": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Переместить файл в Dropbox

POST
/api/v1/integrations/dropbox/move
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/move" \  -H "Content-Type: application/json" \  -d '{    "fromPath": "string",    "toPath": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Получить URL для авторизации в Dropbox

POST
/api/v1/integrations/dropbox/oauth/prepare
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

returnUrl?string

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/dropbox/oauth/prepare" \  -H "Content-Type: application/json" \  -d '{}'
{
  "url": "string"
}

Статус подключения Dropbox

GET
/api/v1/integrations/dropbox/status
АвторизацияBearer <токен>

В: header

Тело ответа

application/json

curl -X GET "https://loading/api/v1/integrations/dropbox/status"
{
  "connected": true,
  "status": "connected"
}

Синхронизировать реестр с файлом Dropbox

POST
/api/v1/integrations/dropbox/sync/file/{typeId}
АвторизацияBearer <токен>

В: header

Параметры пути

typeId*string

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/sync/file/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Предпросмотр синхронизации реестра с файлом Dropbox

GET
/api/v1/integrations/dropbox/sync/file/{typeId}/preview
АвторизацияBearer <токен>

В: header

Параметры пути

typeId*string

Тело ответа

application/json

curl -X GET "https://loading/api/v1/integrations/dropbox/sync/file/string/preview"
{
  "property1": null,
  "property2": null
}

Синхронизировать папку реестров с Dropbox

POST
/api/v1/integrations/dropbox/sync/folder
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/dropbox/sync/folder" \  -H "Content-Type: application/json" \  -d '{    "dropboxPath": "string",    "folderId": "string"  }'
{
  "results": [
    {
      "fileName": "string",
      "name": "string",
      "status": "string",
      "typeId": "string"
    }
  ],
  "synced": 0
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}